<?php

class MGBS {

  private $_error;

  private $_last_updated;

  private $_standings = array();

  private $standings_xml =   "http://erikberg.com/mlb/standings.xml";

  

  

  

  public function process() {

    

    if( ! $xml = simplexml_load_file($this->standings_xml) ) {

          return false;

        }

    

    $node_array= $xml->xpath('/sports-content/sports-metadata/@doc-id');

    $doc_id = (string)$node_array[0];

    $node_array= $xml->xpath('/sports-content/sports-metadata/@date-time');

    $last_updated = (string)$node_array[0];

    $last_updated = date("U",strtotime($last_updated));

    $node_array= $xml->xpath('/sports-content/sports-metadata/@document-class');

    $document_class = (string)$node_array[0];

    $node_array= $xml->xpath('/sports-content/sports-metadata/@date-coverage-type');

    $date_coverage_type = (string)$node_array[0];    

    $node_array= $xml->xpath('/sports-content/sports-metadata/@date-coverage-value');

    $date_coverage_value = (string)$node_array[0];

    $standing_count = count($xml->xpath('/sports-content/standing'));

    for ($i = 1; $i <= $standing_count; $i++) {

      $inner_count  = count($xml->xpath('/sports-content/standing['.$i.']/standing-metadata/sports-content-codes/sports-content-code/@code-type'));

      for ($k = 1; $k <= $inner_count; $k++) {

        $code_type = $xml->xpath('/sports-content/standing['.$i.']/standing-metadata/sports-content-codes/sports-content-code['.$k.']/@code-type');

        if (  $code_type[0] == "league" ) {

          $league_array = $xml->xpath('/sports-content/standing['.$i.']/standing-metadata/sports-content-codes/sports-content-code['.$k.']/@code-key');

          $league = $league_array[0];

        }

        elseif  (  $code_type[0] == "division" ) {

          $division_array = $xml->xpath('/sports-content/standing['.$i.']/standing-metadata/sports-content-codes/sports-content-code['.$k.']/@code-key');

          $team_info = $division_array[0];

        }

      }

      

      $teams_count = count($xml->xpath('/sports-content/standing['.$i.']/team'));

      for ($m = 1; $m <= $teams_count; $m++) {

        $team_id = $xml->xpath('/sports-content/standing['.$i.']/team['.$m.']/team-metadata/@team-key');

        $team_id = MGBS_Utilities::convert_team($team_id[0]);

        $gp_array      = $xml->xpath('/sports-content/standing['.$i.']/team['.$m.']/team-stats/@events-played');

        $gp = $gp_array[0];

        

        $gb = $xml->xpath('/sports-content/standing['.$i.']/team['.$m.']/team-stats/@games-back');

        $gb      = $gb[0];

        $magic_number = $xml->xpath('/sports-content/standing['.$i.']/team['.$m.']/team-stats/@magic-number');

        $magic_number = $magic_number[0];

        if ($magic_number) {$magic_number = (int)$magic_number;}

        if (! is_numeric($magic_number)){

          $magic_number=-1;

        }

        $league_array       = explode(".", $team_info);

        $sport              = $league_array[0];

        $league             = $league_array[1];

        $division           = $league_array[2];

        $w                  = $xml->xpath('/sports-content/standing['.$i.']/team['.$m.']/team-stats/outcome-totals[1]/@wins');

        $w            = $w[0];

        $l            = $xml->xpath('/sports-content/standing['.$i.']/team['.$m.']/team-stats/outcome-totals[1]/@losses');

        $l            = $l[0];

        $rf           = $xml->xpath('/sports-content/standing['.$i.']/team['.$m.']/team-stats/outcome-totals[1]/@points-scored-for');

        $rf           = $rf[0];

        $ra           = $xml->xpath('/sports-content/standing['.$i.']/team['.$m.']/team-stats/outcome-totals[1]/@points-scored-against');

        $ra           = $ra[0];

        $streak_type  = $xml->xpath('/sports-content/standing['.$i.']/team['.$m.']/team-stats/outcome-totals[1]/@streak-type');

        $streak_type  = $streak_type[0];

        $streak_total = $xml->xpath('/sports-content/standing['.$i.']/team['.$m.']/team-stats/outcome-totals[1]/@streak-total');

        $streak_total = $streak_total[0];

        

      $return_array['last_updated'] = $last_updated;

      $league = (string)$league;

      $division = (string)$division;

      $array_block = $league . $division;

      

      $return_array["data"][(string)$league . (string)$division][]=array( 

        'sport'=> (string)$sport,

        'league'=> (string)$league,

        'division'=> (string)$division,

        'team_id'=> (string)$team_id,

        'gp'=> (int)$gp,

        'gb'=> (int)$gb,

        'magic_number'=> (int)$magic_number,

        'w'=> (int)$w,

        'l'=> (int)$l,

        'streak_type'=> (string)$streak_type,

        'streak_total'=> (int)$streak_total

        );

      }

      

    }

    

    return $return_array;

  }

  





function get_error() {

  return $this->_error;

}



  

}