<?php

/**

 * MGBS Widget Class

 */

 

 

class mgbs_widget extends WP_Widget {

  private $widget_id;

  private $title;

  private $division; 

  private $widgets_info = array();

    

    function __construct() {

        parent::WP_Widget(false, $name = 'MG\'s Baseball Standings');

        $this->plugin_location = substr(plugin_dir_url(__FILE__),0, strrpos(plugin_dir_url(__FILE__), "/",-2)) . "/";

        add_action('wp_footer', array( &$this, 'mgbs_widget_footer_scripts' ));

    }



 

    /** @see WP_Widget::widget -- do not rename this */

    function widget($args, $instance) {	

        extract( $args );

        $this->widget_id="widget-".time().rand(1,100).rand(1,100);        

        $this->division = $instance['division'];

        $this->title = $instance['title'];

        $this->widgets_info[]=array(

          'widget_id'=>$this->widget_id,

          'division'=>$this->division          

        );        

        $standings    = new MGBS_plugin;

        $title 		    = "Baseball Standings";

        if ($instance['title']!=""){

          $title = $instance['title'];

        }

        $output       = new MGBS_plugin();

        $message      = $output->output_standings();

        

        ?>    <div id="<?php echo $this->widget_id; ?>">

              <?php echo $before_widget; ?>

                  <?php if ( $title )

                        echo $before_title . $title . $after_title; ?>

							<?php echo $message; ?>

              <?php echo $after_widget; ?>

              </div>

        <?php

    }

 

    /** @see WP_Widget::update -- do not rename this */

    function update($new_instance, $old_instance) {		

      $instance = $old_instance;

      $instance['division']        = $new_instance['division'];

      $instance['title']           = $new_instance['title'];

      return $instance;

    }

 

    /** @see WP_Widget::form -- do not rename this */

    function form($instance) {	

      $defaults = array(  'division'  => 'NL West',

                          'title'     =>  'Baseball Standings'

                        );

  		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

      <p>

        <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>

        <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $instance['title']; ?>" />

      </p>

      <p>

  			<label for="<?php echo $this->get_field_id( 'division' ); ?>">Default Division:</label>

  			<select id="<?php echo $this->get_field_id( 'division' ); ?>" name="<?php echo $this->get_field_name( 'division' ); ?>" class="widefat" style="width:100%;">

  				<option <?php if ( 'NL East' == $instance['division'] ) echo 'selected="selected"'; ?>>NL East</option>

  				<option <?php if ( 'NL Central' == $instance['division'] ) echo 'selected="selected"'; ?>>NL Central</option>

          <option <?php if ( 'NL West' == $instance['division'] ) echo 'selected="selected"'; ?>>NL West</option>

          <option <?php if ( 'AL East' == $instance['division'] ) echo 'selected="selected"'; ?>>AL East</option>

  				<option <?php if ( 'AL Central' == $instance['division'] ) echo 'selected="selected"'; ?>>AL Central</option>

          <option <?php if ( 'AL West' == $instance['division'] ) echo 'selected="selected"'; ?>>AL West</option>

  				

  			</select>

  		</p>      

          

          

  	     <?php 

    }

 

   function mgbs_widget_footer_scripts(){

      foreach ($this->widgets_info as $standings){

        $division = str_replace(" ", "", $standings['division']);

        $division = strtolower(substr($division, 0, 3));

        ?>

        <script type="text/javascript">jQuery(document).ready(function(){jQuery("#<?php echo $standings['widget_id'];?> .link_show_standings").click(function(){jQuery("#<?php echo $standings['widget_id'];?> table.standings_table").hide();jQuery("#<?php echo $standings['widget_id'];?> .link_show_standings").removeClass("selected");the_id = jQuery(this).attr("class");the_id = the_id.replace("link_show_standings","");the_id = the_id.replace("mgbs_link_","");the_id = the_id.replace(" ","");jQuery("#<?php echo $standings['widget_id'];?> .standings_table." + the_id).show();jQuery(this).addClass("selected");switch (the_id){case 'ale':division="AL East";break;case 'alc':division="AL Central";break;case 'alw':division="AL West";break;case 'nle':division="NL East";break;case 'nlc':division="NL Central";break;case 'nlw':division="NL West";break;default:division="";break;}jQuery("#<?php echo $standings['widget_id'];?> .standings .division").html(division);});jQuery("#<?php echo $standings['widget_id'];?>  span.mgbs_link_<?php echo $division;?>.link_show_standings").click();});</script>

      <?}       

  }

} 

add_action('widgets_init', create_function('', 'return register_widget("mgbs_widget");'));

?>

